# Dynamic Document API: Account

> Plan, renders, limits and usage.

> Part of the Dynamic Document API documentation. Index of all pages for agents: [llms.txt](https://dynamicdocumentapi.com/llms.txt), every page in one file: [llms-full.txt](https://dynamicdocumentapi.com/llms-full.txt).

2 endpoints of the [API reference](https://dynamicdocumentapi.com/docs/api-reference/index.md), version 1.0.0. Interactive reference: https://dynamicdocumentapi.com/docs/api-reference#tag/account. Machine-readable OpenAPI document: https://dynamicdocumentapi.com/openapi/openapi-public.json

## Servers

- https://api-eu.dynamicdocumentapi.com — EU (Germany)

## Endpoints

- `GET /v1/account` — Plan, renders and limits
- `GET /v1/usage` — Usage time series

## GET /v1/account

**Plan, renders and limits**

Responses:

- `200` 
- `401` Missing, invalid, expired or revoked credentials.
- `403` Insufficient scope, IP not allowed, workspace suspended or scheduled for deletion, or email not verified.
- `429` Rate limited (`Retry-After`).
- `503` Control plane unavailable.

## GET /v1/usage

**Usage time series**

Parameters:

| Name | In | Type | Description |
|---|---|---|---|
| `from` | query | string | `YYYY-MM-DD` or ISO-8601; default: cycle start. |
| `granularity` | query | "day" \| "hour" |  |
| `group_by` | query | "key_id" \| "kind" \| "region" \| "source" \| "template_id" |  |
| `to` | query | string | `YYYY-MM-DD` (inclusive) or ISO-8601 (exclusive). |

Responses:

- `200` 
- `400` Invalid `from`/`to`, `granularity` or `group_by`.
- `401` Missing, invalid, expired or revoked credentials.
- `403` Insufficient scope, IP not allowed, workspace suspended or scheduled for deletion, or email not verified.
- `429` Rate limited (`Retry-After`).
- `503` Control plane unavailable.
